org.modeshape.jdbc.delegate

## Class AbstractRepositoryDelegate

- java.lang.Object
- - org.modeshape.jdbc.delegate.AbstractRepositoryDelegate

- All Implemented Interfaces:
    RepositoryDelegate
  Direct Known Subclasses:
    LocalRepositoryDelegate

      public abstract class AbstractRepositoryDelegate
      extends Object
      implements RepositoryDelegate

  The AbstractRepositoryDelegate provides the common logic for the implementation of the `RepositoryDelegate`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRepositoryDelegate(String url, Properties info)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Call to close the delegate connection and any outstanding transactions will be closed.
    `void` | `closeStatement()` Called when the `Statement` the is closed.
    `void` | `commit()`
    `Connection` | `createConnection(DriverInfo info)` Call to create the connection based on the implementation of this interface.
    `ConnectionInfo` | `getConnectionInfo()` Call to get the connection information.
    `Repository` | `getRepository()`
    `String` | `getRepositoryName()`
    `Set<String>` | `getRepositoryNames()` Called to get all the repository names currently available in the ModeShapeEngine.
    `boolean` | `isWrapperFor(Class<?> iface)`
    `void` | `rollback()`
    `protected void` | `setRepository(Repository repository)`
    `protected void` | `setRepositoryName(String repositoryName)`
    `protected void` | `setRepositoryNames(Set<String> repositoryNames)`
    `<T> T` | `unwrap(Class<T> iface)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.modeshape.jdbc.delegate.RepositoryDelegate

      `execute, explain, getDescriptor, isValid, nodeType, nodeTypes`

- - ### Field Detail

    - #### logger

          protected final Logger logger

  - ### Constructor Detail

    - #### AbstractRepositoryDelegate

          public AbstractRepositoryDelegate(String url,
                                    Properties info)

  - ### Method Detail

    - #### getConnectionInfo

          public ConnectionInfo getConnectionInfo()

      Description copied from interface: `RepositoryDelegate`
      Call to get the connection information.
      Specified by:
        `getConnectionInfo` in interface `RepositoryDelegate`
      Returns:
        ConnectionInfo

    - #### closeStatement

          public void closeStatement()

      Description copied from interface: `RepositoryDelegate`
      Called when the `Statement` the is closed. This enables the underlying connection to the JcrRepository remain open until the statement is finished using it.
      Specified by:
        `closeStatement` in interface `RepositoryDelegate`

    - #### commit

          public void commit()
                      throws RepositoryException

      Specified by:
        `commit` in interface `RepositoryDelegate`
      Throws:
        `RepositoryException`
      See Also:
        `Connection.commit()`

    - #### close

          public void close()

      Description copied from interface: `RepositoryDelegate`
      Call to close the delegate connection and any outstanding transactions will be closed.
      Specified by:
        `close` in interface `RepositoryDelegate`
      See Also:
        `Connection.close()`

    - #### rollback

          public void rollback()
                        throws RepositoryException

      Specified by:
        `rollback` in interface `RepositoryDelegate`
      Throws:
        `RepositoryException`
      See Also:
        `Connection.rollback()`

    - #### createConnection

          public Connection createConnection(DriverInfo info)
                                      throws SQLException

      Description copied from interface: `RepositoryDelegate`
      Call to create the connection based on the implementation of this interface.
      Specified by:
        `createConnection` in interface `RepositoryDelegate`
      Parameters:
        `info` - the driver information
      Returns:
        Connection
      Throws:
        `SQLException`
      See Also:
        `Driver.connect(String, java.util.Properties)`

    - #### getRepository

          public Repository getRepository()

    - #### setRepository

          protected void setRepository(Repository repository)

    - #### getRepositoryName

          public String getRepositoryName()

    - #### setRepositoryName

          protected void setRepositoryName(String repositoryName)

    - #### getRepositoryNames

          public Set<String> getRepositoryNames()

      Description copied from interface: `RepositoryDelegate`
      Called to get all the repository names currently available in the ModeShapeEngine.
      Specified by:
        `getRepositoryNames` in interface `RepositoryDelegate`
      Returns:
        Set of repository names

    - #### setRepositoryNames

          protected void setRepositoryNames(Set<String> repositoryNames)

    - #### isWrapperFor

          public boolean isWrapperFor(Class<?> iface)

      Specified by:
        `isWrapperFor` in interface `RepositoryDelegate`
      Returns:
        boolean
      See Also:
        `Wrapper.isWrapperFor(java.lang.Class)`

    - #### unwrap

          public <T> T unwrap(Class<T> iface)
                   throws SQLException

      Specified by:
        `unwrap` in interface `RepositoryDelegate`
      Returns:
        T
      Throws:
        `SQLException`
      See Also:
        `Wrapper.unwrap(java.lang.Class)`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.